org.eclipse.ecf.osgi.services.remoteserviceadmin

## Class SelectContainerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.ecf.osgi.services.remoteserviceadmin.SelectContainerException

All Implemented Interfaces:
  Serializable

    public class SelectContainerException
    extends Exception

Since:
  2.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SelectContainerException(String message, Throwable cause, ContainerTypeDescription containerTypeDescription)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ContainerTypeDescription` `getContainerTypeDescription()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SelectContainerException

    public SelectContainerException(String message,
                                    Throwable cause,
                                    ContainerTypeDescription containerTypeDescription)

### Method Detail

#### getContainerTypeDescription

    public ContainerTypeDescription getContainerTypeDescription()